### Method

# Gck Attribute init_date

#### Declaration [src]

    void
    gck_attribute_init_date (
      GckAttribute* attr,
      gulong attr_type,
      const GDate* value
    )

#### Description [src]

Initialize a PKCS#11 attribute to a date. This will result in a CK_DATE attribute from the PKCS#11 specs.

When done with the attribute you should use `gck_attribute_clear()` to free the internal memory.

This method is not directly available to language bindings.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

`value`

  Type: `GDate`

  The date value of the attribute.

  The data is owned by the caller of the function.